
#include <opencv2/opencv.hpp>

#include "infer.hpp"
#include "resnet.hpp"

using namespace std;


resnet::Image cvimg(const cv::Mat &image) { return resnet::Image(image.data, image.cols, image.rows); }



void single_inference() {
  cv::Mat image = cv::imread("inference/car.jpg");
  auto resnet = resnet::load("resnet.engine");
  if (resnet == nullptr) return;

  auto objs = resnet->forward(cvimg(image));
}

int main() {
  single_inference();
  return 0;
}